# Uses of Interface
org.bukkit.plugin.PluginLoader

Packages that use PluginLoader
Package
Description
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of PluginLoader in org.bukkit.plugin

Methods in org.bukkit.plugin that return PluginLoader
Modifier and Type
Method
Description
`@NotNull PluginLoader`
Plugin.`getPluginLoader()`
Deprecated, for removal: This API element is subject to removal in a future version.
Method parameters in org.bukkit.plugin with type arguments of type PluginLoader
Modifier and Type
Method
Description
`void`
PluginManager.`registerInterface(@NotNull Class<? extends PluginLoader> loader)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
SimplePluginManager.`registerInterface(@NotNull Class<? extends PluginLoader> loader)`
Deprecated, for removal: This API element is subject to removal in a future version.
Registers the specified plugin loader

## Uses of PluginLoader in org.bukkit.plugin.java

Classes in org.bukkit.plugin.java that implement PluginLoader
Modifier and Type
Class
Description
`final class`
`JavaPluginLoader`
Deprecated, for removal: This API element is subject to removal in a future version.
Methods in org.bukkit.plugin.java that return PluginLoader
Modifier and Type
Method
Description
`final @NotNull PluginLoader`
JavaPlugin.`getPluginLoader()`
Gets the associated PluginLoader responsible for this plugin